Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1529 - group quotas not updated in rc.sysinit
Summary: group quotas not updated in rc.sysinit
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: quota
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-16 15:02 UTC by etltkki
Modified: 2015-04-02 20:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-17 17:51:54 UTC


Attachments (Terms of Use)

Description etltkki 1999-03-16 15:02:19 UTC
rc.sysinit calls quotacheck with parameters "-v /" for
root filesystem and "-v -R -a" for other filesystems.
quotacheck invoked this way will not update quota.group
files. In case of root filesystem quotacheck is also invoked
on read-only filesystem and doesn't have a chance to write
to quota.user anyway (this has already been reported as #703
and was supposed to be fixed in initscripts 3.83 but
initscripts in RawHide distribution, ver 3.92-2 still
contains this bug).

Comment 1 Bill Nottingham 1999-03-19 23:31:59 UTC
quotacheck is supposed to run on the raw device, not on
the mounted filesystem.

Comment 2 etltkki 1999-03-22 11:50:59 UTC
That's OK, but it still doesn't update quota.group file at least for
root filesystem.

Comment 3 Jeff Johnson 1999-04-17 17:51:59 UTC
Fixed in initscripts-4.10.

Comment 4 openshift-github-bot 2015-04-02 20:12:47 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/f33f5c242de6eac85aaf25a9f96d3827cdd83e20
Issue 1529 - fix regression in help templates


Note You need to log in before you can comment on or make changes to this bug.